GET api/NTSetting/GetCOSDocumentList?q={q}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
q

string

Required

Body Parameters

None.

Response Information

Resource Description

AsapResponseOfListOfCOSDocumentTypeDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

Collection of COSDocumentTypeDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": [
    {
      "Id": 1,
      "Name": "sample string 2",
      "DocumentCategoryId": 3,
      "Sequence": 4,
      "NeedMoreInfo": true,
      "DocumentCategoryName": "sample string 6",
      "DocumentCode": "sample string 7",
      "Permission": "sample string 8",
      "ValidFlag": true,
      "DateCreated": "2026-06-20T12:46:51.1906412-07:00",
      "DateUpdated": "2026-06-20T12:46:51.1906412-07:00",
      "UserIDCreated": 12,
      "UserIDUpdated": 13,
      "CompanyCode": "sample string 14",
      "IsExcludeDiscount": true
    },
    {
      "Id": 1,
      "Name": "sample string 2",
      "DocumentCategoryId": 3,
      "Sequence": 4,
      "NeedMoreInfo": true,
      "DocumentCategoryName": "sample string 6",
      "DocumentCode": "sample string 7",
      "Permission": "sample string 8",
      "ValidFlag": true,
      "DateCreated": "2026-06-20T12:46:51.1906412-07:00",
      "DateUpdated": "2026-06-20T12:46:51.1906412-07:00",
      "UserIDCreated": 12,
      "UserIDUpdated": 13,
      "CompanyCode": "sample string 14",
      "IsExcludeDiscount": true
    }
  ],
  "totalCount": 3
}